Bug 464750 - RFE: On kernel install /boot status should be checked
RFE: On kernel install /boot status should be checked
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 04:17 EDT by Piergiorgio Sartor
Modified: 2009-11-27 07:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 03:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2008-09-30 04:17:35 EDT
Description of problem:
Well, this is more an RFE than a problem, albeit sometimes it is a problem...
I've the /boot partition, for several reasons, set to "ro" (someone recommends even not to auto-mount it). 
When a kernel install/update/remove occurs, sometimes I forgot to set the /boot to "rw" before starting the operations, with obvious results...

It would be nice, if possible, to check /boot as first operation during kernel install/update/remove and, eventually, bail out with an error, before doing anything else.

Thanks a lot in advance.

pg
Comment 1 Dave Jones 2008-10-17 19:37:21 EDT
This should be done by the package manager if at all.
Comment 2 Piergiorgio Sartor 2009-02-20 07:39:41 EST
(In reply to comment #1)
> This should be done by the package manager if at all.

I think you might be right.

One other potential use case is to have /usr mounted "ro".

pg
Comment 3 Panu Matilainen 2009-11-25 03:31:32 EST
Fixed in rpm-4.7.2 in rawhide now, install attempt on read-only filesystems now errors out early as it should.
Comment 4 Piergiorgio Sartor 2009-11-27 04:22:36 EST
Hi,

thanks for the update.

I've got anyway one question.

What happens, like in case of kernel install/update, where something goes in /boot, something else in /lib/modules and other in /usr, if the different folders belong to different mount points with different rw/ro permissions?

My case would be (for the kernel):

/boot ro
/lib/modules rw
/usr ro (formerly rw)

Does "rpm" check all the folders _before_ installing anything?
Or succeeding in /lib/modules will make it assume the rest is OK? In the hypothesis /lib/modules is the first folder used.

Thanks again,

bye,

pg
Comment 5 Panu Matilainen 2009-11-27 07:41:51 EST
Obviously all filesystems are checked and must have enough room for install to even start. This has always been the case, but until now read-only filesystems were not handled correctly.

Note You need to log in before you can comment on or make changes to this bug.